#!/usr/bin/guile \
-e main -s
!#

(load "psykbot.ss")

(define (process-args args)
  (let process ((args args) (position 0))
    (if (null? args) #t
      (let ((arg (car args)))
	(case position
	  ((1) (set! *irc-server* arg))
	  ((2) (set! *irc-port* (string->number arg)))
	  ((3) (set! *username* arg))
	  ((4) (set! *my-nick* arg) (set! *me* (string->symbol arg))))
	(process (cdr args) (+ position 1))))))

(define (main args)
  (process-args args)
  (bot-initialise))

